Skip to main content
GET
/
work-locations
/
public
/
api
/
imports
/
user-locations
/
progress
Get import user locations progress
curl --request GET \
  --url https://{host}/work-locations/public/api/imports/user-locations/progress \
  --header 'Authorization: <authorization>'
import requests

url = "https://{host}/work-locations/public/api/imports/user-locations/progress"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://{host}/work-locations/public/api/imports/user-locations/progress', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "progress": 43
}

Headers

Authorization
string
required

API key. Value must be formatted like so: lucca application={api_key}.

Query Parameters

summaryId
string
required

Identifier of the import

Response

200 - application/json

OK

0:not started, 1-99:in progress, 100:success

progress
integer
Example:

43